> For the complete documentation index, see [llms.txt](https://docs.pulsoid.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.pulsoid.net/misc/feature-status.md).

# Feature Status

## Feature Status

Check whether a particular feature is enabled for the authenticated user.

### Request

| Name   | Value                                                  |
| ------ | ------------------------------------------------------ |
| URL    | `https://dev.pulsoid.net/api/v1/features/{feature_id}` |
| Method | `GET`                                                  |

#### Headers

| Name          | Value                   | Description                                                                                     |
| ------------- | ----------------------- | ----------------------------------------------------------------------------------------------- |
| Authorization | `Bearer {access_token}` | [How to obtain an access token](https://docs.pulsoid.net/#how-to-obtain-an-authorization-token) |

#### Path Parameters

| Name         | Type   | Description                                           |
| ------------ | ------ | ----------------------------------------------------- |
| `feature_id` | string | The feature identifier. See Available Features below. |

### Available Features

| `feature_id`                          | Description                 | Condition                                                                                         |
| ------------------------------------- | --------------------------- | ------------------------------------------------------------------------------------------------- |
| `gd_mod`                              | Geometry Dash Mod           | Enabled with active premium (subscription, trial, or lifetime). Can also be granted individually. |
| `premium_widgets`                     | Premium Widgets             | Enabled with any active premium plan (subscription, trial, or lifetime).                          |
| `stream_deck_ingestion_pause_feature` | Stream Deck Ingestion Pause | Always enabled for all users.                                                                     |
| `discord_rich_presence`               | Discord Rich Presence       | Enabled with active premium (subscription, trial, or lifetime). Can also be granted individually. |

### Response

{% hint style="info" %}
Returns `404 Not Found` if the `feature_id` is not recognized.
{% endhint %}

```json
{
  "id": "premium_widgets",
  "enabled": true
}
```

| Field     | Type    | Description                                  |
| --------- | ------- | -------------------------------------------- |
| `id`      | string  | The requested feature identifier.            |
| `enabled` | boolean | Whether the feature is enabled for the user. |

### Example

**cURL Request**

```bash
curl --request GET \
  --url https://dev.pulsoid.net/api/v1/features/premium_widgets \
  --header 'Authorization: Bearer 052b0236-eac4-45c7-b889-556ececd4e90'
```

**Response**

```json
{
  "id": "premium_widgets",
  "enabled": true
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.pulsoid.net/misc/feature-status.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
